QGIS Application - Bug report #16314
Processing: Get scripts /models from online collection crashes QGIS
2017-03-07 11:53 AM - Andreas Plesch

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.18.3 Regression?: No
Operating System: Gentoo linux Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 24224

Description

Opening (double clicking) Get script (or models) from on-line collection in the Processing tool box crashes QGIS.

Here is the console output before the segmentation fault:

Warning: Object::connect: No such signal QWebPage::loadProgress(int)

Warning: Object::connect: No such signal QWebPage::unsupportedContent(QNetworkReply*)

Warning: Object::connect: No such signal QWebFrame::titteChanged(QString)

Warning: Object::connect: No such signal QWebPage::loadProgress(int)

Warning: Object::connect: No such signal QWebFrame::titeChanged(QString)

Warning: Object::connect: No such signal QWebFrame::iconChanged()

Warning: Object::connect: No such signal QWebFrame::urlChanged(QUrl)

Warning: Object::connect: No such signal QWebPage::loadStarted()

Warning: Object::connect: No such signal QWebPage::loadProgress(int)

Warning: Object::connect: No such signal QWebPage::statusBarMessage(QString)
Warning: Object::connect: No such signal QWebPage::linkClicked(QUTrl)

Warning: Object::connect: No such signal QWebPage::selectionChanged()
Warning: Object::connect: No such signal QWebPage::microFocusChanged()

Warning: QMetaObject::
Warning: QMetaObiject::
Warning: QMetaObject::
Warning: QMetaObiject::
Warning: QMetaObiject::
Warning: QMetaObiject::
Segmentation fault

invokeMethod: No such method QWebPage::repaintRequested(QRect)
invokeMethod: No such method QWebPage::repaintRequested(QRect)
invokeMethod: No such method QWebPage::repaintRequested(QRect)
invokeMethod: No such method QWebPage::repaintRequested(QRect)
invokeMethod: No such method QWebPage::repaintRequested(QRect)
( )

invokeMethod: No such method QWebPage::repaintRequested(QRect

History

#1 - 2017-03-08 12:16 AM

- Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

- Status changed from Open to Feedback

- Category changed from Processing/GUI to Processing/Core

Works fine on 2.18.4 on Ubuntu 16.04 installed from QGIS repos.

Please try 2.18.4 and report back, thanks.
#2 - 2017-03-08 07:25 AM - Andreas Plesch

Will do when 2.18.4 becomes available on Gentoo. But | think it may be a platform issue and will file a bug on the gentoo bugtracker.

#3 - 2017-03-08 08:10 AM - Andreas Plesch
- Status changed from Feedback to Closed
- % Done changed from 0 to 100

It turns out that 2.18.4 is available on Gentoo unstable. Installing with the (non-default) webkit USE keyword on gentoo leads to proper functioning of get
scripts/models in the Processing toolbox. This bug can be closed here.
| opened https://bugs.gentoo.org/show_bug.cgi?id=612070 (for reference).
